Loading...
Searching...
No Matches
basis_raw_bernstein< T >

## Detailed Description

template<class T>
class rheolef::basis_raw_bernstein< T >

Definition at line 35 of file basis_raw_bernstein.h.

Inheritance diagram for basis_raw_bernstein< T >:

## Public Types

typedef basis_raw_rep< T > | base
typedef base::size_type | size_type
typedef T | value_type
Public Types inherited from basis_raw_rep< T >
typedef reference_element::size_type | size_type
typedef T | value_type
typedef space_constant::valued_type | valued_type

## Public Member Functions

| basis_raw_bernstein (std::string name)
| ~basis_raw_bernstein ()
std::string | family_name () const
size_type | ndof (reference_element hat_K) const
bool | is_hierarchical () const
void | evaluate (reference_element hat_K, const point_basic< T > &hat_x, Eigen::Matrix< T, Eigen::Dynamic, 1 > &value) const
void | grad_evaluate (reference_element hat_K, const point_basic< T > &hat_x, Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &value) const
Public Member Functions inherited from basis_raw_rep< T >
| basis_raw_rep (std::string name="")
void | reset (std::string &name)
virtual | ~basis_raw_rep ()
virtual size_type | degree () const
std::string | name () const
virtual valued_type | valued_tag () const
const std::string & | valued () const
void | put (std::ostream &os, reference_element hat_K) const
void | _clear () const

## Protected Member Functions

void | _initialize (reference_element hat_K) const
Protected Member Functions inherited from basis_raw_rep< T >
void | _initialize_guard (reference_element hat_K) const

## Protected Attributes

std::vector< T > | _factorial
std::array< std::vector< point_basic< size_type > >, reference_element::max_variant > | _power_index
std::array< std::vector< std::array< T, 6 > >, reference_element::max_variant > | _lambda_pow
std::array< std::vector< std::array< ad3_basic< T >, 6 > >, reference_element::max_variant > | _lambda_ad_pow
Protected Attributes inherited from basis_raw_rep< T >
size_type | _degree
std::array< bool, reference_element::max_variant > | _have_initialize

## Additional Inherited Members

Static Public Member Functions inherited from basis_raw_rep< T >
static basis_raw_rep * | make_ptr (std::string name)

## Member Typedef Documentation

## base

template<class T >

typedef basis_raw_rep<T> base

Definition at line 40 of file basis_raw_bernstein.h.

## size_type

template<class T >

typedef base::size_type size_type

Definition at line 41 of file basis_raw_bernstein.h.

## value_type

template<class T >

typedef T value_type

Definition at line 42 of file basis_raw_bernstein.h.

## Constructor & Destructor Documentation

## basis_raw_bernstein()

template<class T >

basis_raw_bernstein | ( | std::string | name | ) |

Definition at line 36 of file basis_raw_bernstein.cc.

## ~basis_raw_bernstein()

template<class T >

~basis_raw_bernstein | ( |  | ) |

Definition at line 32 of file basis_raw_bernstein.cc.

## Member Function Documentation

## family_name()

template<class T >

std::string family_name | ( |  | ) | const

virtual

Implements basis_raw_rep< T >.

Definition at line 51 of file basis_raw_bernstein.h.

## ndof()

template<class T >

basis_raw_bernstein< T >::size_type ndof | ( | reference_element | hat_K | ) | const

virtual

Implements basis_raw_rep< T >.

Definition at line 55 of file basis_raw_bernstein.cc.

## is_hierarchical()

template<class T >

bool is_hierarchical | ( |  | ) | const

virtual

Reimplemented from basis_raw_rep< T >.

Definition at line 53 of file basis_raw_bernstein.h.

## evaluate()

template<class T >

void evaluate | ( | reference_element | hat_K,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< T, Eigen::Dynamic, 1 > & | value
| ) |  | const

virtual

Implements basis_raw_rep< T >.

Definition at line 84 of file basis_raw_bernstein.cc.

## grad_evaluate()

template<class T >

void grad_evaluate | ( | reference_element | hat_K,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | value
| ) |  | const

virtual

Implements basis_raw_rep< T >.

Definition at line 103 of file basis_raw_bernstein.cc.

## _initialize()

template<class T >

void _initialize | ( | reference_element | hat_K | ) | const

protected virtual

Implements basis_raw_rep< T >.

Definition at line 61 of file basis_raw_bernstein.cc.

## Member Data Documentation

## _factorial

template<class T >

std::vector<T> _factorial

mutable protected

Definition at line 75 of file basis_raw_bernstein.h.

## _power_index

template<class T >

std::array<std::vector<point_basic<size_type> >, reference_element::max_variant> _power_index

mutable protected

Definition at line 77 of file basis_raw_bernstein.h.

## _lambda_pow

template<class T >

std::array<std::vector<std::array<T,6> >, reference_element::max_variant> _lambda_pow

mutable protected

Definition at line 79 of file basis_raw_bernstein.h.

## _lambda_ad_pow

template<class T >

std::array<std::vector<std::array<ad3_basic<T>,6> >, reference_element::max_variant> _lambda_ad_pow

mutable protected

Definition at line 81 of file basis_raw_bernstein.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/fem/lib/basis_raw_bernstein.h
- /build/rheolef-mDkPTY/rheolef-7.2/fem/lib/basis_raw_bernstein.cc